/*****************************************************************************
 ** Class Export::Ssa
 **
 ** This class handles the export filter for srt (subtitle) files
 **
 **   Created : Tue Nov 9 07:53:05 2004
 **        by : Varol Okan using the kate editor
 ** Copyright : (c) Varol Okan
 **   License : GPL v 2.0
 **
 **
 *****************************************************************************/

#ifndef __EXPORT_SSA_H__
#define __EXPORT_SSA_H__

#include "exportsrt.h"
#include "sourcefileentry.h"
//Added by qt3to4:
//#include <Q3TextStream>   //ooo
#include <QTextStream>   //xxx

namespace Export
{

class Ssa : public BaseSubtitle
{
public:
   Ssa ( );
  virtual ~Ssa ( );

  virtual bool exportSub ( Subtitles * );
  virtual bool writeFile ( Subtitles *, QString & );

private:
  //void writeScriptInfo ( Q3TextStream & );    //ooo
  void writeScriptInfo ( QTextStream & );      //xxx
  //void writeStyles     ( Q3TextStream & );    //ooo
  void writeStyles     ( QTextStream & );  //xxx
  //void writeEvents     ( Q3TextStream & );    //ooo
  void writeEvents     ( QTextStream & );  //xxx
  QString toAbgr       ( Rgba        & );

private:
  Subtitles *m_pSubtitles;
};

}

#endif // __EXPORT_SSA_H__
